%define progname scikit
%define modname learn
%define newmodname sklearn

Summary:	Python modules for machine learning and data mining
Name:		python-scikits-learn
Version:	0.9
Release:	%mkrel 1
Source0:	%{progname}-%{modname}-%{version}.tar.gz
Patch0:		scikit-learn-0.9-add-libm.patch
License:	BSD
Group:		Development/Python
Url:		http://scikit-learn.sourceforge.net/
BuildRequires:	blas-devel
BuildRequires:	python-setuptools
BuildRequires:	python-numpy-devel >= 1.2
BuildRequires:	python-scipy >= 0.7
BuildRequires:	python-matplotlib
BuildRequires:	python-nose >= 0.10
Provides:       sklearn
Provides:       python-sklearn
Provides:       scikits-learn
Provides:       scikit-learn

%description
scikits.learn is a Python module that integrates classic machine learning
algorithms with the tightly-knit world of scientific Python packages
(numpy, scipy, matplotlib).

%prep
%setup -q -n %{progname}-%{modname}-%{version}
%patch0 -p0

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --install-purelib=%{py_platsitedir}

%check
pushd doc &> /dev/null
PYTHONPATH=%{buildroot}%{py_platsitedir} python -c "import scikits.learn; scikits.learn.test()"
popd &> /dev/null

%clean
%__rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%dir %{py_platsitedir}/scikits/%{modname}
%dir %{py_platsitedir}/%{newmodname}
%{py_platsitedir}/scikits/%{modname}/*
%{py_platsitedir}/%{newmodname}/*
%{py_platsitedir}/scikits/__init__.py
%{py_platsitedir}/%{progname}_%{modname}-*.egg-info
%{py_platsitedir}/%{progname}_%{modname}-*.pth



%changelog

* Fri Sep 23 2011 grenoya <grenoya> 0.9-1.mga2
+ Revision: 147024
- new version 0.9
- fix url

* Sun Jul 17 2011 grenoya <grenoya> 0.8.1-1.mga2
+ Revision: 125407
- clean spec
- add python-nose and python-matplotlib as BuildRequires
- add back check part
- upgrade sources
- rewrite %%file part
- imported package python-scikits-learn

